Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.util
Class ReportFileDialoger

    java.lang.Object
      org.apache.jmeter.gui.util.ReportFileDialoger

public final class ReportFileDialoger
extends Object

Method Summary
`static JFileChooser` | `promptToOpenFile()`
`static JFileChooser` | `promptToOpenFile(String[] exts)` Prompts the user to choose a file from their filesystems for our own devious uses.
`static JFileChooser` | `promptToSaveFile(String filename)` Prompts the user to choose a file from their filesystems for our own devious uses.
`static JFileChooser` | `promptToSaveFile(String filename, String[] extensions)` Get a JFileChooser with a new FileFilter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### promptToOpenFile

    public static JFileChooser promptToOpenFile(String[] exts)

  Prompts the user to choose a file from their filesystems for our own devious uses. This method maintains the last directory the user visited before dismissing the dialog. This does NOT imply they actually chose a file from that directory, only that they closed the dialog there. It is the caller's responsibility to check to see if the selected file is non-null.

  Returns:
    the JFileChooser that interacted with the user, after they are finished using it (accept or otherwise).

### promptToOpenFile

    public static JFileChooser promptToOpenFile()

### promptToSaveFile

    public static JFileChooser promptToSaveFile(String filename)

  Prompts the user to choose a file from their filesystems for our own devious uses. This method maintains the last directory the user visited before dismissing the dialog. This does NOT imply they actually chose a file from that directory, only that they closed the dialog there. It is the caller's responsibility to check to see if the selected file is non-null.

  Returns:
    the JFileChooser that interacted with the user, after they are finished using it (accept or otherwise).
  See Also:
    `promptToOpenFile()`

### promptToSaveFile

    public static JFileChooser promptToSaveFile(String filename,
                                                String[] extensions)

  Get a JFileChooser with a new FileFilter.

  Parameters:
    `filename` -
    `extensions` -
  Returns:
    JFileChooser

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.